org.eclipse.viatra.cep.core.metamodels.trace

## Interface TraceFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceFactoryImpl

      public interface TraceFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `TracePackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TraceFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimedZoneTrace` | `createTimedZoneTrace()` Returns a new object of class 'Timed Zone Trace'.
    `Trace` | `createTrace()` Returns a new object of class 'Trace'.
    `TraceModel` | `createTraceModel()` Returns a new object of class 'Model'.
    `TracePackage` | `getTracePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final TraceFactory eINSTANCE

      The singleton instance of the factory.
      Generated:

  - ### Method Detail

    - #### createTraceModel

          TraceModel createTraceModel()

      Returns a new object of class 'Model'.
      Returns:
        a new object of class 'Model'.
      Generated:

    - #### createTrace

          Trace createTrace()

      Returns a new object of class 'Trace'.
      Returns:
        a new object of class 'Trace'.
      Generated:

    - #### createTimedZoneTrace

          TimedZoneTrace createTimedZoneTrace()

      Returns a new object of class 'Timed Zone Trace'.
      Returns:
        a new object of class 'Timed Zone Trace'.
      Generated:

    - #### getTracePackage

          TracePackage getTracePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated: